Subject: bug#64031: Acknowledgement (Guix system entirely broken by updating second runc or by accidental hard reset)

From: Steven Roose <[email-masked]>
Date: Tue, 13 Jun 2023 18:24:54 +0100

Ok, I don't know how to close this issue, but I managed to fix it with 
guix package --roll-back. I took me so long to find that possibility 
because both `guix system` and `guix home` have a `roll-back` *command* 
while in packages it's a flag. I thought it was for individual packages 
maybe.

I don't know how to close issues here, but someone feel free to close this.

On 6/13/23 18:02, Steven Roose wrote:
> I figured if my current profile is broken, somehow I should fix it or 
> roll it back. I also figure reinstalling my system won't work if I 
> keep my home directory.
>
> I also still don't understand why I have two different profiles and I 
> don't know what is the different between profiles and whatever `guix 
> home` does.
>
> But I tried some things:
>
>
> $ guix home roll-back
> guix home: error: cannot switch to home environment generation '-1'
>
>
> $ guix home list-generations
> Backtrace:
>            7 (primitive-load "/home/steven/.config/guix/current/bin/…")
> In guix/ui.scm:
>    2300:7  6 (run-guix . _)
>   2263:10  5 (run-guix-command _ . _)
> In ice-9/boot-9.scm:
>   1752:10  4 (with-exception-handler _ _ #:unwind? _ # _)
> In guix/status.scm:
>     859:3  3 (_)
>     839:4  2 (call-with-status-report _ _)
> In unknown file:
>            1 (raise #<&profile-not-found-error profile: "/var/guix/p…>)
> In ice-9/boot-9.scm:
>   1685:16  0 (raise-exception _ #:continuable? _)
>
> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
> Wrong type (expecting exact integer): #<&profile-not-found-error 
> profile: "/var/guix/profiles/per-user/steven/guix-home">
>
>
> $ guix home describe
> guix home: error: no home environment generation, nothing to describe
>
>
> So I guess I'm not using `guix home`.
>
>
> Just to help me move forward, is there a summary on what profiles 
> actually are? Because they are separate from the guix system packages 
> that it also seems separate from guix home.
>
> On 6/13/23 03:26, GNU bug Tracking System wrote:
>> Thank you for filing a new bug report with debbugs.gnu.org.
>>
>> This is an automatically generated reply to let you know your message
>> has been received.
>>
>> Your message is being forwarded to the package maintainers and other
>> interested parties for their attention; they will reply in due course.
>>
>> Your message has been sent to the package maintainer(s):
>>   [email-masked]
>>
>> If you wish to submit further information on this problem, please
>> send it to [email-masked].
>>
>> Please do not send mail to [email-masked] unless you wish
>> to report a problem with the Bug-tracking system.
>>